Retrieve Annotation Placemark Type Metadata
Retrieves the metadata of a specified annotation placemark type. Learn more about placemark types in the Vault Java SDK documentation.
GET
/api/{version}/metadata/objects/documents/annotations/placemarks/types/{placemark_type}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{placemark_type}required | The name of the placemark type. For example, sticky__sys. Learn more about placemark types in the Vault Java SDK documentation. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/metadata/objects/documents/annotations/placemarks/types/arrow__sys \Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "arrow__sys",
"fields": [
{
"name": "coordinates__sys",
"type": "Number list",
"system_managed": false,
"value_set": []
},
{
"name": "height__sys",
"type": "Number",
"system_managed": false,
"value_set": []
},
{
"name": "width__sys",
"type": "Number",
"system_managed": false,
"value_set": []
},
{
"name": "x_coordinate__sys",
"type": "Number",
"system_managed": false,
"value_set": []
},
{
"name": "y_coordinate__sys",
"type": "Number",
"system_managed": false,
"value_set": []
},
{
"name": "page_number__sys",
"type": "Number",
"system_managed": false,
"value_set": []
},
{
"name": "style__sys",
"type": "String",
"system_managed": false,
"value_set": [
"arrow_down_left__sys",
"arrow_down_right__sys",
"arrow_left_down__sys",
"arrow_left_up__sys",
"arrow_right_down__sys",
"arrow_right_up__sys",
"arrow_up_left__sys",
"arrow_up_right__sys"
]
},
{
"name": "type__sys",
"type": "String",
"system_managed": false,
"value_set": [
"arrow__sys"
]
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes a list of metadata information for the specified placemark type. Each response may include some or all of the following fields depending on type: